Subscribe

where could download SANsurfer CLI for Linux x64

Hi Gurus

I am installing the Host Utility 6.0 for Redhat linux Server 5.5 (x64).  the HBA card is QLE2560.    HU request a lib file "libHBAAPI.so" which is included in SANsurfer CLI.  but now I could not find SANsurfer CLI for X64.

Even I visit Qlogic page for NetApp,  It lists a SANsurfer CLI for (x86/x64) but when I click it, it brings me a pkg "scli-1.7.1-23.i386.rpm.gz".  Could I use it for x64 environment?

BR

TC

Re: where could download SANsurfer CLI for Linux x64

Yes, usually 32 bit programs runs just fine in Linux x86_64 environment. You may want to verify, which libraries are required and install extra 32 bit versions, which may not be normally present on 64 bit systems. The problem is, if program that requires it is 64 bit, it will not work with 32 bit libraries; you need 64 bit version.

Hmm … I was looking for libHBAAPI for QLA couple of days ago. So you say it is part of CLI which is 32 bti only? Not good. OTOH libHBAAPI should be vendor independent. There is native Linux implementation that could even be included in your distro (I know that SLES11 provides it). You will need just backend, which in case of QLA is provided as separate package (search for HBAAPI).

Re: where could download SANsurfer CLI for Linux x64

I checked QLogic and it appears that libHBAAPI 64 bit is part of at least QConvergedConsole CLI. It seems like new management suite, replacing SAN Surfer.

Re: where could download SANsurfer CLI for Linux x64

Hi 

You see an error message similar to the following:

Unable to find /usr/lib/libHBAAPI.so library

Ensure the package installing the library is installed & loaded

Depending on which HBA you have, install either the QLogic SANsurfer package or the Emulex

applications package to obtain the libHBAAPI.so library.

Re: where could download SANsurfer CLI for Linux x64

Hi Aborzenkov

Thank you very much.  I also find QConvergedConsole CLI.  but not sure if it could work with Host Utility 6.0.     I just wonder the HU 6.0 manual should be updated according the Qlogic software status.

BTW,  SANsurfer FC HBA manager (x86/x64) is a gui version tool.  Do you think it already include the package /usr/lib/libHBAAPI.so   if customer already install the SANsurfer FC HBA manager,  is it necessary to install CLI again?

BR

TC

Re: where could download SANsurfer CLI for Linux x64

sanlun is 32 bit program so you need 32 bit libHBAAPI.so.

Re: where could download SANsurfer CLI for Linux x64

Hey chao,

Adding to aborzenkov comments; use the QConvergeConsole CLI before HUK and it would load the required .so      no need for gui manager.

Re: where could download SANsurfer CLI for Linux x64

Hi Rprudent

By aborzenkov's comment, sanlun is 32 bit program so need 32 bit libHBAAPI.so,   So we use "scli-1.7.1-23.i386.rpm.gz" before HUK.  I did not test " QConvergeConsole CLI", Did you test?   Does it include the 32 bit libHBAAPI.so?

BR

TC

Re: where could download SANsurfer CLI for Linux x64

Hey,

32 bit software can run on 64 bit OS/hardware but sometimes other software dependencies may need some requirements to work properly e.g. the HUK and the .so

Qconverged cli has more features than scli. Your OS is 64 so use the 64v of qconverged cli before HUK and that's it. Yes I did this already and works.

Sent via BlackBerry